#ifndef _VIDSYNC_H_
#define _VIDSYNC_H_

#ifdef __cplusplus
extern "C" {
#endif

/* VGA regs */
#define IS1_RC	0x3da

#define	VIDSYNC_POLL_MARGIN	2
#define	VIDSYNC_MAX_LOST_FRAMES	50
#define	VIDSYNC_FRAMES_NO_SYNC	200

/*
 * "tolerance" is the maximum fraction of a
 * frame vidsync_wait(0) will consider a
 * successful sync - later than that, and it'll
 * wait for the *next* retrace.
 */
int vidsync_init(float tolerance);

void vidsync_close(void);

/*
 * Wait for the retrace (position == 0.0), or
 * for a specific raster position. The position
 * must be 0.0 < position < 1.0, where 0.0+ is
 * the last retrace, 1.0 would be the next
 * retrace, and 0.5 is the middle of the screen.
 *
 * Note: You *must* vidsync_wait(0) occasionally,
 *       or vidsync's internal time base will
 *       skew in relation to the actual video
 *       frame rate over time!
 */
void vidsync_wait(float position);

#ifdef __cplusplus
};
#endif

#endif	/* _VIDSYNC_H_ */
